function buscarBod(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formBod.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busBod/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblBod");
      jsonJS.bodegas.forEach(function(i){
        addRowBod(i.bod_cod, i.bod_nom);
      });

      $("#tblBod tbody tr").dblclick(function() {
        selectBod(a, $(this));
      });

      $("#tblBod tbody #btnSelecBod").click(function() {
        selectBod(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowBod(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecBod'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblBod tbody").append(markup);
}

function selectBod(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblBod");
}